
// SampleChartDlg.h : header file
//

#pragma once
#include "StAnalyzerManager.h"

#define MSG_UPDATE_ANALYZER (WM_USER + 100)
#define MSG_UPDATE_GRAPH (WM_USER + 101)
#define MSG_UPDATE_TEXT (WM_USER + 102)



// CSampleChartDlg dialog
class CSampleChartDlg : public CDialogEx
{
// Construction
public:
	CSampleChartDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SAMPLECHART_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);

	afx_msg LRESULT OnUpdateAnalyzerNotify(WPARAM wPharam, LPARAM lParam);
	afx_msg LRESULT OnUpdateGraphNotify(WPARAM wPharam, LPARAM lParam);
	afx_msg LRESULT OnUpdateTextNotify(WPARAM wPharam, LPARAM lParam);

	CStAnalyzerManager manager_;

	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
};
